Subject: [arch-d] IANA program redefinition

From: Jari Arkko <[email-masked]>
Date: Fri, 12 Feb 2021 17:46:08 +0200

Hi,

You may be aware that the IAB has been redefining its program structure [1]. You may also be aware that we have a small, sleepy program for helping the IAB deal with big strategic issues on IANA [2]. We also have an informal team of IANA and IETF people that discuss periodically to discuss statistics, and provide suggestions on various improvements or issues. Fortunately, there hasn't been any recent need to invoke the program. There hasn't really been any strategic issues after the transition was done and the one NTIA notice of inquiry was answered in 2018 [3]. Equally fortunately, the IANA process keeps running extremely smoothly, so the informal team has mostly been happy confirming that things are good, as well working on some improvements, discussing operational or technical topics that have arisen, etc. Neither group has any formal role, e.g., all decisions and contracts are taken by the relevant  formal entities, such as the LLC, Trust, IAB, and PTI. PTI is the ICANN-affiliated organisation that runs the IANA Functions service [4].

Anyway, back to the IAB's effort on redefining its program structure. What were previously called programs are now either Technical Programs or Administrative Support Groups. In addition, the restructuring is an opportunity to review existing programs and update/close/recreate them as needed. With this in mind, Mirja had asked us to evaluate the structure. It hasn't been crystal clear what different groups we have, the need for the strategic assistance is very different than it was when the transition was going on, and various people changes have also happened.

Russ, Michelle, me, the IETF-IANA team, and the program and the IAB have discussed this, and thought that it would make sense to update the charter, and to consolidate the program and the team in one group. Please see the proposed charter below.

Thoughts? If you have comments, please respond by Feb 23rd so that we can process the matter on the IAB call on the 24th.

Jari (on behalf of the program & IAB)

——

IETF-IANA Group

Purpose

The background for the IETF-IANA group are the IANA functions for the
Internet and the IETF, as specified in the IANA MoU (RFC2860) and
related agreements between stakeholders. At the IETF, the formal
responsibility for the relationship lies in four entities:

* The IAB that is tasked with IANA oversight
* The LLC that is tasked with managing the contracts
* The IETF Trust that holds the rights for related domains and trademarks
* The CCG, which provides advice and guidance to the IETF Trust
   
Today, the IANA functions are provided by Public Technical Identifiers
(PTI), a purpose-built organization for providing the IANA functions
to the community. PTI is an affiliate of ICANN.

The IETF-IANA group organizes regular meetings to provide advice,
primarily to the IAB and PTI. The group has participants from both
IETF and PTI sides. The group is expected to review the publicly
available IANA performance statistics, discuss specific issues that
have come up in the protocol parameter service, provide input on
proposed yearly updates to the IANA Functions SLA, or any other
similar topics.

However, the group is not responsible for daily operational
guidance, and does not have any formal role in contracts relating to
the IANA functions. The advice that it provides is input to the
relevant entities that perform IANA functions (PTI) or provide
oversight (the IAB), but may indirectly be useful also for those in
charge of contract management on either side.

The group co-leads will review and update membership yearly
together with the IAB.

Results and References

  * RFC 2860: IANA MoU
  * RFC 6220: Defining the Role and Function of IETF Protocol Parameter Registry Operator
  * RFC 7500: Principles for Operation of Internet Assigned Numbers Authority (IANA) Registries 
  * RFC 8090: Appointment Procedures for the IETF Representatives to the Community Coordination Group (CCG) 
  * IETF Trust agreement on IANA 
  * ICANN-IETF Service Level Agreements
  * Information on IANA performance

Members

  * Michelle Cotton (Group co-Lead & PTI Protocol Parameters Engagement Sr. Manager)
  * Russ Housley (Group co-Lead)
  * Jari Arkko  (IAB Lead)
  * Mirja Kühlewind (IAB Chair)
  * Lars Eggert (IETF Chair)
  * Jay Daley (LLC Executive Director) 
  * Kim Davies (PTI President) 
  * Harald Alvestrand (IETF-ICANN board liaison)
  (* Other members may be added based on an ongoing check of their availability)

——

References

[1] https://mailarchive.ietf.org/arch/msg/architecture-discuss/mkD3eWYS0ECn44RrABS-gwvrbOY/ <https://mailarchive.ietf.org/arch/msg/architecture-discuss/mkD3eWYS0ECn44RrABS-gwvrbOY/> [ietf.org <http://ietf.org/>]
[2 ]https://www.iab.org/activities/programs/iana-program <https://www.iab.org/activities/programs/iana-program> [www.iab.org <http://www.iab.org/>]
[3] https://www.iab.org/2018/07/16/iab-responds-to-ntia-notice-of-inquiry-on-international-internet-policy-priorities/ <https://www.iab.org/2018/07/16/iab-responds-to-ntia-notice-of-inquiry-on-international-internet-policy-priorities/> [iab.org <http://iab.org/>]
[4] https://pti.icann.org/ <https://pti.icann.org/> [pti.icann.org <http://pti.icann.org/>]

---

From: "S. Moonesamy" <[email-masked]>
Date: Fri, 12 Feb 2021 20:16:22 -0800

Dear Mr Arkko,
>proposed yearly updates to the IANA Functions SLA, or any other

Are the previous minutes for those regular meetings available?

Regards,
S. Moonesamy

---

From: Mirja Kuehlewind <[email-masked]>
Date: Sat, 13 Feb 2021 11:30:22 +0100

Dear S. Moonesamy,

Previous minutes have been published as part of the IANA report in the minutes of the respective IAB calls.

Mirja

> On 13. Feb 2021, at 05:16, S. Moonesamy <[email-masked]> wrote:
> 
> Dear Mr Arkko,
> _______________________________________________
> Architecture-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/architecture-discuss
>

---

From: "Martin Thomson" <[email-masked]>
Date: Sat, 13 Feb 2021 21:34:49 +1100

Hi Jari,

I see a lot of people who are nominally chairs of their respective groups here.  Did those involved discuss appointing a delegate other than the (likely already busy) chair of the organization?  We tried really hard not to have the chair do everything a few years ago, but I'm seeing a return to that recently (not just the IAB, but the IESG also in this case).  Maybe that's just circumstance.  Wanted to check.

On Sat, Feb 13, 2021, at 02:46, Jari Arkko wrote:
> Hi,
> 
> You may be aware that the IAB has been redefining its program structure 
> [1]. You may also be aware that we have a small, sleepy program for 
> helping the IAB deal with big strategic issues on IANA [2]. We also 
> have an informal team of IANA and IETF people that discuss periodically 
> to discuss statistics, and provide suggestions on various improvements 
> or issues. Fortunately, there hasn't been any recent need to invoke the 
> program. There hasn't really been any strategic issues after the 
> transition was done and the one NTIA notice of inquiry was answered in 
> 2018 [3]. Equally fortunately, the IANA process keeps running extremely 
> smoothly, so the informal team has mostly been happy confirming that 
> things are good, as well working on some improvements, discussing 
> operational or technical topics that have arisen, etc. Neither group 
> has any formal role, e.g., all decisions and contracts are taken by the 
> relevant  formal entities, such as the LLC, Trust, IAB, and PTI. PTI is 
> the ICANN-affiliated organisation that runs the IANA Functions service 
> [4].
> 
> Anyway, back to the IAB's effort on redefining its program structure. 
> What were previously called programs are now either Technical Programs 
> or Administrative Support Groups. In addition, the restructuring is an 
> opportunity to review existing programs and update/close/recreate them 
> as needed. With this in mind, Mirja had asked us to evaluate the 
> structure. It hasn't been crystal clear what different groups we have, 
> the need for the strategic assistance is very different than it was 
> when the transition was going on, and various people changes have also 
> happened.
> 
> Russ, Michelle, me, the IETF-IANA team, and the program and the IAB 
> have discussed this, and thought that it would make sense to update the 
> charter, and to consolidate the program and the team in one group. 
> Please see the proposed charter below.
> 
> Thoughts? If you have comments, please respond by Feb 23rd so that we 
> can process the matter on the IAB call on the 24th.
> 
> [1] 
> https://mailarchive.ietf.org/arch/msg/architecture-discuss/mkD3eWYS0ECn44RrABS-gwvrbOY/ [ietf.org]
> [2 ]https://www.iab.org/activities/programs/iana-program [www.iab.org]
> [3] 
> https://www.iab.org/2018/07/16/iab-responds-to-ntia-notice-of-inquiry-on-international-internet-policy-priorities/ [iab.org]
> [4] https://pti.icann.org/ [pti.icann.org]
>

---

From: Mirja Kuehlewind <[email-masked]>
Date: Sat, 13 Feb 2021 11:43:34 +0100

Hi Martin,

I’m not Jari but as I’m sitting in front of my computer right now, I might as well reply…

We did indeed discuss at our last call to add another delegate from the IESG and Lars is following up on that. For the IAB we already have the IAB liaison in addition to the chair. That means the chair’s participation is basically optional. However, load isn’t super high as it's basically just three meetings a year. These meetings used to be in-person during the IETF week and are usually a nice opportunity to chat and make sure to stay in good contact with IANA.

Mirja

> On 13. Feb 2021, at 11:34, Martin Thomson <[email-masked]> wrote:
> 
> Hi Jari,
>

---

From: Jari Arkko <[email-masked]>
Date: Thu, 18 Feb 2021 22:07:28 +0200

Martin has a point, of course. As Mirja said, Lars is looking into having someone else (also) participate, and on the IAB side we do have two people. I don’t mind if the setup moves even more towards the other people than the chairs. In practice the heavy lifting has usually been done by Michelle and Russ, and then specific other people have taken on more specific tasks, e.g., sometimes some sets of people go off to write Internet drafts to update something. But the whole group pays attention on the overall status, statistics, etc.

Jari